Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 659550 (CVE-2018-8881) - <dev-lang/nasm-2.13.02: Heap buffer over-read when reading unterminated string (CVE-2018-8881)
Summary: <dev-lang/nasm-2.13.02: Heap buffer over-read when reading unterminated strin...
Status: RESOLVED FIXED
Alias: CVE-2018-8881
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://nvd.nist.gov/vuln/detail/CVE-...
Whiteboard: B3 [glsa+ cve]
Keywords:
Depends on: 670884
Blocks:
  Show dependency tree
 
Reported: 2018-06-28 22:40 UTC by Vlad K.
Modified: 2019-03-28 02:12 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vlad K. 2018-06-28 22:40:46 UTC
"Netwide Assembler (NASM) 2.13.02rc2 has a heap-based buffer over-read in the function tokenize in asm/preproc.c, related to an unterminated string."

* Fixed upstream:
  http://repo.or.cz/nasm.git/commit/3144e84add8b152cc7a71e44617ce6f21daa4ba3

* Upstream bug report:
  https://bugzilla.nasm.us/show_bug.cgi?id=3392446

Looks like currently stable dev-lang/nasm-2.13.01 is vulnerable. I have not checked other stable versions.

--

Gentoo Security Scout
Vladimir Krstulja
Comment 1 Sergei Trofimovich gentoo-dev 2019-03-10 09:44:07 UTC
nasm $ git tag --contains=3144e84add8b152cc7a71e44617ce6f21daa4ba3 | fgrep -v rc
nasm-2.13.02
nasm-2.13.03
nasm-2.14
nasm-2.14.01
nasm-2.14.02
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2019-03-28 02:12:41 UTC
This issue was resolved and addressed in
 GLSA 201903-19 at https://security.gentoo.org/glsa/201903-19
by GLSA coordinator Aaron Bauman (b-man).